; ##############################################################################
; ##############################################################################
; ##############################################################################
USART_INITIALISIEREN:
	ldi temp,TAKT/(BAUD*16)-1  		; Baudrate 								
	out UBRRL,temp
   	ldi temp, (1<<URSEL)|(3<<UCSZ0)	; Frame-Format: 8 Bit					
    out UCSRC, temp
    cbi UCSRB, RXCIE                ; Interrupt bei Empfang	deaktivieren	
    cbi UCSRB, RXEN 				; RX de-aktivieren 						
	sbi UCSRB, TXEN  				; TX aktivieren                 		
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 	INPUT: temp1														
;																		
;	rcall SENDEN	; INP: TEMP1										
;																		
USART_TX:
	LDS temp,(adr_RDS_ZAEHLER_USART)
	dec temp
	STS (adr_RDS_ZAEHLER_USART),temp
	tst temp
	breq USART_TX_w
	ret 
;-------------------------------------------------------------------------------
USART_TX_w:
	ldi temp,8
	STS (adr_RDS_ZAEHLER_USART),temp
;-------------------------------------------------------------------------------
USART_TX_RUN:
	LDS temp,(adr_RDS_DATA3)	; TX-Byte							
	sbis UCSRA,UDRE  		   	; Warten bis UDR frei             	
	rjmp USART_TX_WAIT			; Sprung							
	out UDR, temp				; senden							
	ret
;-------------------------------------------------------------------------------
USART_TX_WAIT:
	; ERROR	
	ldi temp,(ERROR_RDS_USART)
	STS(adr_ERROR_CODE),temp
	rjmp USART_TX_RUN
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Interruptroutine: wird ausgefhrt sobald ein Byte ber das UART empfangen wurde
