; ##############################################################################
; ##############################################################################
; ##############################################################################
; Verkersfunksender																
ANZEIGE_TP_KURZ:
	LDS temp,(adr_RDS_TP)
	tst temp
	brne ANZEIGE_TP_KURZ_AKTIV
ANZEIGE_TP_KURZ_NO:
	rjmp LCD_STRICH2
ANZEIGE_TP_KURZ_AKTIV:
	rcall LCD_T
	rjmp  LCD_P
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Verkehrsdurchsage																
ANZEIGE_TA_KURZ:
	LDS temp,(adr_RDS_TA)
	tst temp
	brne ANZEIGE_TA_KURZ_AKTIV
ANZEIGE_TA_KURZ_NO:
	rjmp LCD_STRICH2
ANZEIGE_TA_KURZ_AKTIV:
	rcall LCD_T
	rjmp  LCD_A
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TP_TA_KURZ:
	LDS temp,(adr_RDS_TP); Verkersfunksender
	tst temp
	brne ANZEIGE_TP_TA_KURZ_TP
	LDS temp,(adr_RDS_TA); Verkehrsdurchsage
	tst temp
	brne ANZEIGE_TP_TA_KURZ_SONDERFALL
	; kein TA, kein TP	
	rjmp LCD_STRICH2
ANZEIGE_TP_TA_KURZ_SONDERFALL:
	; kein TA, aber TP	
	rjmp LCD_PUNKT2
;-------------------------------------------------------------------------------
ANZEIGE_TP_TA_KURZ_TP:
	LDS temp,(adr_RDS_TA); Verkehrsdurchsage
	tst temp
	brne ANZEIGE_TP_TA_KURZ_TP_RUN
	rjmp LCD_SPACE2
ANZEIGE_TP_TA_KURZ_TP_RUN:
	; blinken			
	sbrc SEKUNDE,0
	rjmp ANZEIGE_TP_TA_KURZ_TP_ON
	rjmp LCD_SPACE2
ANZEIGE_TP_TA_KURZ_TP_ON:
	rcall LCD_T
	rjmp  LCD_A
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RDS_ZEIT_KURZ:
	LDS temp1,(adr_RDS_ZEIT_HH)
	rcall ANZEIGE_2_STELLEN_TEMP1
	rcall LCD_DOPPELPUNKT
	LDS temp1,(adr_RDS_ZEIT_MM)
	rjmp ANZEIGE_2_STELLEN_TEMP1
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RDS_ZEIT_OFFSET_KURZ:
	LDS temp1,(adr_RDS_ZEIT_OFFSET)
	rcall ANZEIGE_3_STELLEN_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SENDERNAME_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_SENDERNAME8+0)
	ldi ZH, HIGH(adr_RDS_BEREICH_SENDERNAME8+0)
	ldi temp1,8
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RADIOTEXT1_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+0)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+0)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT2_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+16)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+16)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT3_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+32)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+32)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT4_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+48)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+48)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT5_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+64)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+64)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT6_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+80)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+80)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT7_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+96)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+96)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
ANZEIGE_RADIOTEXT8_KURZ:
	ldi ZL, LOW (adr_RDS_BEREICH_RADIOTEXT128+112)
	ldi ZH, HIGH(adr_RDS_BEREICH_RADIOTEXT128+112)
	ldi temp1,16
	rcall ANZEIGE_SRAM_Z_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; temp=0 "OFF"  temp<>0 "ON"													
ANZEIGE_ON_OFF_KURZ_TEMP:
	tst temp
	brne ANZEIGE_ON_OFF_KURZ_TEMP_OFF
ANZEIGE_ON_OFF_KURZ_TEMP_ON:
	rcall LCD_O
	rcall LCD_N
	rjmp LCD_SPACE
ANZEIGE_ON_OFF_KURZ_TEMP_OFF:
	rcall LCD_O
	rcall LCD_F
	rjmp  LCD_F
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ANZAHL_ALTERNATIVFREQUENZEN_KURZ:
	; Z-initialisieren	
	ldi ZL,LOW (adr_RDS_BEREICH_AF128)
	ldi ZH,HIGH(adr_RDS_BEREICH_AF128)
	clr temp1
	ldi temp9,128
ANZEIGE_ANZAHL_ALTERNATIVFREQUENZEN_S:
	LD temp,Z+
	tst temp
	breq ANZEIGE_ANZAHL_ALTERNATIVFREQUENZEN_w
	inc temp1
ANZEIGE_ANZAHL_ALTERNATIVFREQUENZEN_w:
	dec temp9
	brne ANZEIGE_ANZAHL_ALTERNATIVFREQUENZEN_S

	rcall ANZEIGE_3_STELLEN_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_NEXT_AF_KURZ:
	; ZHLER berlauf	
	LDS temp6,(adr_RDS_ZAEHLER_AF)	
	cpi temp6,255
	breq ANZEIGE_NEXT_AF_KURZ_NIX
	; Zhler +1			
	inc temp6
	STS(adr_RDS_ZAEHLER_AF),temp6
;-------------------------------------------------------------------------------
ANZEIGE_NEXT_AF_KURZ_RUN:
	; Z-initialisieren	
	ldi ZL,LOW (adr_RDS_BEREICH_AF128)
	ldi ZH,HIGH(adr_RDS_BEREICH_AF128)
	ldi temp9,128
;-------------------------------------------------------------------------------
ANZEIGE_NEXT_AF_KURZ_SCHLEIFE:
	; AF laden	
	LD temp1,Z+
	; TREFFER ?	
	LDS temp6,(adr_RDS_ZAEHLER_AF)	
	cp temp6,temp1
	breq ANZEIGE_NEXT_AF_KURZ_TEFFER_TEMP6
;-------------------------------------------------------------------------------
ANZEIGE_NEXT_AF_KURZ_w:
	; SCHLEIFE	
	dec temp9
	brne ANZEIGE_NEXT_AF_KURZ_SCHLEIFE
rjmp ANZEIGE_NEXT_AF_KURZ
;-------------------------------------------------------------------------------
ANZEIGE_NEXT_AF_KURZ_NIX:
	; nix gefunden	
	ldi temp,'_'
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP
	rcall LCD_SPACE
ret
;-------------------------------------------------------------------------------
; Anzeige (0=87,5 204=107,9)													
ANZEIGE_NEXT_AF_KURZ_TEFFER_TEMP6:
	ldi temp1,LOW (875)
	ldi temp2,HIGH(875)
	add temp1,temp6
	adc temp2,NULL
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	cpi temp4,'0'
	brne ANZEIGE_NEXT_AF_KURZ_NO_NULL
	ldi temp4,'_'
ANZEIGE_NEXT_AF_KURZ_NO_NULL:
	mov temp, temp4			; 4.ZEICHEN 
	rcall LCD_DATA_TEMP
	mov temp, temp3			; 3.ZEICHEN 
	rcall LCD_DATA_TEMP
	mov temp, temp2			; 2.ZEICHEN 
	rcall LCD_DATA_TEMP
	rcall LCD_PUNKT
	mov temp, temp1			; 1.ZEICHEN (1-er Stelle)	
	rcall LCD_DATA_TEMP
	rcall LCD_SPACE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_MUSIK_SPRACHE_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_MUSIK_SPRACHE_KURZ_RUN
	rcall LCD_STRICH4
	ret
ANZEIGE_MUSIK_SPRACHE_KURZ_RUN:
	LDS temp,(adr_RDS_MS)
	tst temp
	brne ANZEIGE_MS_KURZ_MUSIK
ANZEIGE_MS_KURZ_SPRACHE:
	rcall LCD_S
	rcall LCD_P
	rcall LCD_R
	rcall LCD_A
	rcall LCD_C
	rcall LCD_H
	rjmp  LCD_E
ANZEIGE_MS_KURZ_MUSIK:
	rcall LCD_M
	rcall LCD_U
	rcall LCD_S
	rcall LCD_I
	rjmp  LCD_K
; ##############################################################################
; ##############################################################################
; ##############################################################################
; z.B. "D4F1"																	
ANZEIGE_PI_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_PI_KURZ_OK
	LDS temp,(adr_RDS_PI_L)
	tst temp
	brne ANZEIGE_PI_KURZ_OK
	rjmp LCD_STRICH4
ANZEIGE_PI_KURZ_OK:
	LDS temp1,(adr_RDS_PI_H)
	rcall ANZEIGE_HEX_TEMP1
	LDS temp1,(adr_RDS_PI_L)
	rjmp ANZEIGE_HEX_TEMP1
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Erste Ziffer = Land															
ANZEIGE_PI_ZIFFER1_TEXT_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_PI_ZIFFER1_TEXT_KURZ_RUN
	rcall LCD_STRICH4
	ret
ANZEIGE_PI_ZIFFER1_TEXT_KURZ_RUN:
	; Z-initialisieren	
	LDS temp,(adr_RDS_PI_H)
	SWAP temp
	andi temp,0b00001111
	mov temp1,temp	; mal 3
	add temp,temp1
	add temp,temp1
	ldi ZL,LOW (ANZEIGE_PI_ZIFFER1_TEXT_KURZ_SPRUNGMARKE)
	ldi ZH,HIGH(ANZEIGE_PI_ZIFFER1_TEXT_KURZ_SPRUNGMARKE)
	add ZL,temp
	adc ZH,NULL
	; SPRUNG nach Z		
	ijmp
ANZEIGE_PI_ZIFFER1_TEXT_KURZ_SPRUNGMARKE:
	ldi ZH, high(TEXT_PI_ZIFFER1_0*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_0*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_1:
	ldi ZH, high(TEXT_PI_ZIFFER1_1*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_1*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_2:
	ldi ZH, high(TEXT_PI_ZIFFER1_2*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_2*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_3:
	ldi ZH, high(TEXT_PI_ZIFFER1_3*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_3*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_4:
	ldi ZH, high(TEXT_PI_ZIFFER1_4*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_4*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_5:
	ldi ZH, high(TEXT_PI_ZIFFER1_5*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_5*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_6:
	ldi ZH, high(TEXT_PI_ZIFFER1_6*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_6*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_7:
	ldi ZH, high(TEXT_PI_ZIFFER1_7*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_7*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_8:
	ldi ZH, high(TEXT_PI_ZIFFER1_8*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_8*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_9:
	ldi ZH, high(TEXT_PI_ZIFFER1_9*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_9*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_A:
	ldi ZH, high(TEXT_PI_ZIFFER1_A*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_A*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_B:
	ldi ZH, high(TEXT_PI_ZIFFER1_B*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_B*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_C:
	ldi ZH, high(TEXT_PI_ZIFFER1_C*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_C*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_D:
	ldi ZH, high(TEXT_PI_ZIFFER1_D*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_D*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_E:
	ldi ZH, high(TEXT_PI_ZIFFER1_E*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_E*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER1_F:
	ldi ZH, high(TEXT_PI_ZIFFER1_F*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER1_F*2)
	rjmp ANZEIGE_TEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Zweite Ziffer = Gre des Sendebereichs										
ANZEIGE_PI_ZIFFER2_TEXT_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_PI_ZIFFER2_TEXT_KURZ_RUN
	rcall LCD_STRICH4
	ret
ANZEIGE_PI_ZIFFER2_TEXT_KURZ_RUN:
	; Z-initialisieren	
	LDS temp,(adr_RDS_PI_H)
	andi temp,0b00001111
	mov temp1,temp	; mal 3
	add temp,temp1
	add temp,temp1
	ldi ZL,LOW (ANZEIGE_PI_ZIFFER2_TEXT_KURZ_SPRUNGMARKE)
	ldi ZH,HIGH(ANZEIGE_PI_ZIFFER2_TEXT_KURZ_SPRUNGMARKE)
	add ZL,temp
	adc ZH,NULL
	; SPRUNG nach Z		
	ijmp
ANZEIGE_PI_ZIFFER2_TEXT_KURZ_SPRUNGMARKE:
	ldi ZH, high(TEXT_PI_ZIFFER2_0*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_0*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_1:
	ldi ZH, high(TEXT_PI_ZIFFER2_1*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_1*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_2:
	ldi ZH, high(TEXT_PI_ZIFFER2_2*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_2*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_3:
	ldi ZH, high(TEXT_PI_ZIFFER2_3*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_3*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_4:
	ldi ZH, high(TEXT_PI_ZIFFER2_4*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_4*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_5:
	ldi ZH, high(TEXT_PI_ZIFFER2_5*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_5*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_6:
	ldi ZH, high(TEXT_PI_ZIFFER2_6*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_6*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_7:
	ldi ZH, high(TEXT_PI_ZIFFER2_7*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_7*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_8:
	ldi ZH, high(TEXT_PI_ZIFFER2_8*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_8*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_9:
	ldi ZH, high(TEXT_PI_ZIFFER2_9*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_9*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_A:
	ldi ZH, high(TEXT_PI_ZIFFER2_A*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_A*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_B:
	ldi ZH, high(TEXT_PI_ZIFFER2_B*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_B*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_C:
	ldi ZH, high(TEXT_PI_ZIFFER2_C*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_C*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_D:
	ldi ZH, high(TEXT_PI_ZIFFER2_D*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_D*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_E:
	ldi ZH, high(TEXT_PI_ZIFFER2_E*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_E*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER2_F:
	ldi ZH, high(TEXT_PI_ZIFFER2_F*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER2_F*2)
	rjmp ANZEIGE_TEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Dritte Ziffer = Bundesland od. Zhler											
ANZEIGE_PI_ZIFFER3_TEXT_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_PI_ZIFFER3_TEXT_KURZ_RUN
	rcall LCD_STRICH4
	ret
ANZEIGE_PI_ZIFFER3_TEXT_KURZ_RUN:
	; Z-initialisieren	
	LDS temp,(adr_RDS_PI_L)
	SWAP temp
	andi temp,0b00001111
	mov temp1,temp	; mal 3
	add temp,temp1
	add temp,temp1
	ldi ZL,LOW (ANZEIGE_PI_ZIFFER3_TEXT_KURZ_SPRUNGMARKE)
	ldi ZH,HIGH(ANZEIGE_PI_ZIFFER3_TEXT_KURZ_SPRUNGMARKE)
	add ZL,temp
	adc ZH,NULL
	; SPRUNG nach Z		
	ijmp
ANZEIGE_PI_ZIFFER3_TEXT_KURZ_SPRUNGMARKE:
	ldi ZH, high(TEXT_PI_ZIFFER3_0*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_0*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_1:
	ldi ZH, high(TEXT_PI_ZIFFER3_1*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_1*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_2:
	ldi ZH, high(TEXT_PI_ZIFFER3_2*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_2*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_3:
	ldi ZH, high(TEXT_PI_ZIFFER3_3*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_3*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_4:
	ldi ZH, high(TEXT_PI_ZIFFER3_4*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_4*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_5:
	ldi ZH, high(TEXT_PI_ZIFFER3_5*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_5*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_6:
	ldi ZH, high(TEXT_PI_ZIFFER3_6*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_6*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_7:
	ldi ZH, high(TEXT_PI_ZIFFER3_7*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_7*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_8:
	ldi ZH, high(TEXT_PI_ZIFFER3_8*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_8*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_9:
	ldi ZH, high(TEXT_PI_ZIFFER3_9*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_9*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_A:
	ldi ZH, high(TEXT_PI_ZIFFER3_A*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_A*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_B:
	ldi ZH, high(TEXT_PI_ZIFFER3_B*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_B*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_C:
	ldi ZH, high(TEXT_PI_ZIFFER3_C*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_C*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_D:
	ldi ZH, high(TEXT_PI_ZIFFER3_D*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_D*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_E:
	ldi ZH, high(TEXT_PI_ZIFFER3_E*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_E*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER3_F:
	ldi ZH, high(TEXT_PI_ZIFFER3_F*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER3_F*2)
	rjmp ANZEIGE_TEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Vierte Ziffer = Identifikation Sender od. Zhler
ANZEIGE_PI_ZIFFER4_TEXT_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_PI_ZIFFER4_TEXT_KURZ_RUN
	rcall LCD_STRICH4
	ret
ANZEIGE_PI_ZIFFER4_TEXT_KURZ_RUN:
	; Z-initialisieren	
	LDS temp,(adr_RDS_PI_L)
	andi temp,0b00001111
	mov temp1,temp	; mal 3
	add temp,temp1
	add temp,temp1
	ldi ZL,LOW (ANZEIGE_PI_ZIFFER4_TEXT_KURZ_SPRUNGMARKE)
	ldi ZH,HIGH(ANZEIGE_PI_ZIFFER4_TEXT_KURZ_SPRUNGMARKE)
	add ZL,temp
	adc ZH,NULL
	; SPRUNG nach Z		
	ijmp
ANZEIGE_PI_ZIFFER4_TEXT_KURZ_SPRUNGMARKE:
	ldi ZH, high(TEXT_PI_ZIFFER4_0*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_0*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_1:
	ldi ZH, high(TEXT_PI_ZIFFER4_1*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_1*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_2:
	ldi ZH, high(TEXT_PI_ZIFFER4_2*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_2*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_3:
	ldi ZH, high(TEXT_PI_ZIFFER4_3*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_3*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_4:
	ldi ZH, high(TEXT_PI_ZIFFER4_4*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_4*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_5:
	ldi ZH, high(TEXT_PI_ZIFFER4_5*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_5*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_6:
	ldi ZH, high(TEXT_PI_ZIFFER4_6*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_6*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_7:
	ldi ZH, high(TEXT_PI_ZIFFER4_7*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_7*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_8:
	ldi ZH, high(TEXT_PI_ZIFFER4_8*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_8*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_9:
	ldi ZH, high(TEXT_PI_ZIFFER4_9*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_9*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_A:
	ldi ZH, high(TEXT_PI_ZIFFER4_A*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_A*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_B:
	ldi ZH, high(TEXT_PI_ZIFFER4_B*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_B*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_C:
	ldi ZH, high(TEXT_PI_ZIFFER4_C*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_C*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_D:
	ldi ZH, high(TEXT_PI_ZIFFER4_D*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_D*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_E:
	ldi ZH, high(TEXT_PI_ZIFFER4_E*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_E*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PI_ZIFFER4_F:
	ldi ZH, high(TEXT_PI_ZIFFER4_F*2)	; TEXT 
	ldi ZL,  low(TEXT_PI_ZIFFER4_F*2)
	rjmp ANZEIGE_TEXT

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PTY_KURZ:
	LDS temp1,(adr_RDS_PTY)
	rcall ANZEIGE_2_STELLEN_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PTY_TEXT_KURZ:
	LDS temp,(adr_RDS_PI_H)
	tst temp
	brne ANZEIGE_PTY_TEXT_KURZ_RUN
	rcall LCD_STRICH4
	ret
ANZEIGE_PTY_TEXT_KURZ_RUN:
	; Z-initialisieren	
	LDS temp,(adr_RDS_PTY)
	mov temp1,temp
	add temp,temp1
	add temp,temp1
	ldi ZL,LOW (ANZEIGE_PTY_TEXT_SPRUNGMARKE)
	ldi ZH,HIGH(ANZEIGE_PTY_TEXT_SPRUNGMARKE)
	add ZL,temp
	adc ZH,NULL
	; SPRUNG nach Z		
	ijmp
ANZEIGE_PTY_TEXT_SPRUNGMARKE:
	ldi ZH, high(TEXT_PTY_00*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_00*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_01:
	ldi ZH, high(TEXT_PTY_01*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_01*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_02:
	ldi ZH, high(TEXT_PTY_02*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_02*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_03:
	ldi ZH, high(TEXT_PTY_03*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_03*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_04:
	ldi ZH, high(TEXT_PTY_04*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_04*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_05:
	ldi ZH, high(TEXT_PTY_05*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_05*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_06:
	ldi ZH, high(TEXT_PTY_06*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_06*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_07:
	ldi ZH, high(TEXT_PTY_07*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_07*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_08:
	ldi ZH, high(TEXT_PTY_08*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_08*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_09:
	ldi ZH, high(TEXT_PTY_09*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_09*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_10:
	ldi ZH, high(TEXT_PTY_10*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_10*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_11:
	ldi ZH, high(TEXT_PTY_11*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_11*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_12:
	ldi ZH, high(TEXT_PTY_12*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_12*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_13:
	ldi ZH, high(TEXT_PTY_13*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_13*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_14:
	ldi ZH, high(TEXT_PTY_14*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_14*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_15:
	ldi ZH, high(TEXT_PTY_15*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_15*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_16:
	ldi ZH, high(TEXT_PTY_16*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_16*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_17:
	ldi ZH, high(TEXT_PTY_17*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_17*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_18:
	ldi ZH, high(TEXT_PTY_18*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_18*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_19:
	ldi ZH, high(TEXT_PTY_19*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_19*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_20:
	ldi ZH, high(TEXT_PTY_20*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_20*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_21:
	ldi ZH, high(TEXT_PTY_21*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_21*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_22:
	ldi ZH, high(TEXT_PTY_22*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_22*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_23:
	ldi ZH, high(TEXT_PTY_23*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_23*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_24:
	ldi ZH, high(TEXT_PTY_24*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_24*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_25:
	ldi ZH, high(TEXT_PTY_25*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_25*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_26:
	ldi ZH, high(TEXT_PTY_26*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_26*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_27:
	ldi ZH, high(TEXT_PTY_27*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_27*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_28:
	ldi ZH, high(TEXT_PTY_28*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_28*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_29:
	ldi ZH, high(TEXT_PTY_29*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_29*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_30:
	ldi ZH, high(TEXT_PTY_30*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_30*2)
	rjmp ANZEIGE_TEXT
ANZEIGE_PTY_TEXT_31:
	ldi ZH, high(TEXT_PTY_31*2)	; TEXT 
	ldi ZL,  low(TEXT_PTY_31*2)
	rjmp ANZEIGE_TEXT
	

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

